> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Identifier Events

export const queryComment_0 = "(optional)"

Returns a list of events matching an identifier.

## Guides

See the guide for using this endpoint:
[Exporting a Tenant's Events <Icon icon="book" size={16} />](/guides/tenant-events).

<ResponseExample>
  ```json Response Example theme={null}
  {
      "items": [
          {
              "metadata": {
                  "estimated_created_at": "2019-09-20T16:30:37.589388Z",
                  "matched_at": "2019-09-21T10:15:22.123456Z",
                  "type": "listing",
                  "uid": "listing/apollon_market/9861",
                  "severity": "critical"
              },
              "tenant_metadata": {
                  "severity": {
                      "original": "low",
                      "override": "critical"
                  },
                  "tags": [
                      "important",
                  ],
                  "notes": "This reason why this is tagged as 'important' is: ..."
              },
              "identifiers": [
                  {
                      "id": 1,
                      "name": "An identifier"
                  }
              ],
              "highlights": {
                  "description": [
                      "Bank Statement PSD <mark>Template</mark>\r\n\r\nWe promise:\r\n- Your order will be delivered instantly."
                  ],
                  "title": [
                      "Bank Statement PSD <mark>Template</mark>"
                  ]
              }
          }
      ],
      "next": "WzE1Njg5OTcwMzc1ODksICJsaXN0aW5nL2Fwb2xsb25fbWFya2V0Lzk4NjEiXQ%3D%3D"
  }
  ```
</ResponseExample>

## Paging

This endpoint supports the
[Flare standard paging pattern <Icon icon="book" size={16} />](/concepts/paging).

## Body Parameters

<ParamField body="query" type="object">
  One of the supported queries. {queryComment_0}

  <CodeGroup>
    ```json Domain theme={null}
    {
      "type": "domain",
      "fqdn": "<string>"
    }
    ```

    ```json Email theme={null}
    {
      "type": "email",
      "email": "<string>"
    }
    ```

    ```json Keyword theme={null}
    {
      "type": "keyword",
      "keyword": "<string>"
    }
    ```

    ```json Query String theme={null}
    {
      "type": "query_string",
      "query_string": "<string>"
    }
    ```

    ```json Username theme={null}
    {
      "type": "username",
      "username": "<string>"
    }
    ```

    ```json GitHub Repository theme={null}
    {
      "type": "github_repository",
      "repo_owner": "<string>"
      "repo_name": "<string>"
    }
    ```

    ```json Brand theme={null}
    {
      "type": "brand",
      "name": "<string>"
    }
    ```

    ```json Name theme={null}
    {
      "type": "name",
      "first_name": "<string>"
      "last_name": "<string>"
      "is_strict": "<boolean>"
    }
    ```

    ```json CC Bin theme={null}
    {
      "type": "bin",
      "bin": "<string>"
    }
    ```

    ```json IP theme={null}
    {
      "type": "ip",
      "ip": "<string>"
    }
    ```

    ```json Credentials theme={null}
    {
      "type": "credentials",
      "username": "<string>"
      "password": "<string>"
    }
    ```

    ```json Secret theme={null}
    {
      "type": "secret",
      "secret": "<string>"
    }
    ```

    ```json Azure Tenant theme={null}
    {
      "type": "azure_tenant",
      "tenant_id": "<string>"
    }
    ```
  </CodeGroup>
</ParamField>

<ParamField body="size" type="number" initialValue="1">
  Limit number of events that will be returned. (Max 10)
</ParamField>

<ParamField body="from" type="string">
  The `next` value from the last response.
</ParamField>

<ParamField body="order" type="string" default="desc">
  The order in which the results will be returned.

  <Expandable title="valid order values">
    `asc`
    `desc`
  </Expandable>
</ParamField>

<ParamField body="filters" type="object">
  <Expandable defaultOpen>
    <ParamField body="severity" type="string[]">
      If a string value is specified, results will contain events that have a greater than or equal severity. Otherwise, if an array of severities is specified, results will only contain events that exactly match one of them.

      <Expandable title="valid severity values">
        `info`
        `low`
        `medium`
        `high`
        `critical`
      </Expandable>
    </ParamField>

    <ParamField body="type" type="string[]">
      <Expandable title="valid type values">
        `illicit_networks`
        `open_web`
        `leak`
        `domain`
        `listing`
        `forum_content`
        `blog_content`
        `profile`
        `chat_message`
        `ransomleak`
        `infected_devices`
        `financial_data`
        `paste`
        `social_media`
        `source_code`
        `google`
        `service`
        `buckets`
      </Expandable>

      Learn more about [Event Source Filters <Icon icon="book" size={16} />](/advanced/event-source-filters).
    </ParamField>

    <ParamField body="estimated_created_at" type="object">
      <Expandable>
        <ParamField body="gt" type="string" placeholder="Example: 2024-01-01T00:00:00+00:00">
          Matches values greater than the specified timestamp.

          Format: ISO-8601
        </ParamField>

        <ParamField body="gte" type="string" placeholder="Example: 2024-01-01T00:00:00+00:00">
          Matches values greater than or equal to the specified timestamp.

          Format: ISO-8601
        </ParamField>

        <ParamField body="lt" type="string" placeholder="Example: 2024-01-01T00:00:00+00:00">
          Matches values lesser than the specified timestamp.

          Format: ISO-8601
        </ParamField>

        <ParamField body="lte" type="string" placeholder="Example: 2024-01-01T00:00:00+00:00">
          Matches values lesser than or equal to the specified timestamp.

          Format: ISO-8601
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="tags" type="string[]">
      If provided, results will be filtered on the tags.
    </ParamField>

    <ParamField body="is_ignored" type="bool">
      If set to true, results will be filtered to be events that have been ignored.
    </ParamField>

    <ParamField body="is_remediated" type="bool">
      If set to true, results will be filtered to be events that have been remediated.
    </ParamField>
  </Expandable>
</ParamField>

## Path Parameters

<ParamField path="identifier_id" type="int" required>
  The ID of the identifier.
</ParamField>
